Commit 818805e7 authored by Eric Petit's avatar Eric Petit

configure.ac: added --disable/enable-hal

 Makefile.am: in package-beos, use $(STRIP) instead of strip since we
   might be cross-compiling
parent af9d9d8c
......@@ -747,8 +747,8 @@ package-beos:
mv $(srcdir)/tmp/vlc-${VERSION} $(srcdir)/tmp/vlc ;
# Create normal package
strip --strip-debug --strip-unneeded $(srcdir)/tmp/vlc/vlc ;
find $(srcdir)/tmp/vlc -name 'lib*.so' -exec strip \
$(STRIP) --strip-debug --strip-unneeded $(srcdir)/tmp/vlc/vlc ;
find $(srcdir)/tmp/vlc -name 'lib*.so' -exec $(STRIP) \
--strip-debug --strip-unneeded "{}" \; ;
xres -o $(srcdir)/tmp/vlc/vlc $(srcdir)/share/vlc_beos.rsrc ;
find $(srcdir)/tmp/vlc -exec mimeset -f {} \; ;
......
......@@ -700,12 +700,18 @@ if test "${x_libraries}" = "NONE"; then
fi
dnl Check for hal
PKG_CHECK_MODULES(HAL, hal >= 0.2.97,
[AC_DEFINE(HAVE_HAL, [], [Define if you have the HAL library])
VLC_ADD_PLUGINS([hal])
VLC_ADD_LDFLAGS([vlc hal],[$HAL_LIBS])
VLC_ADD_CFLAGS([vlc hal],[$HAL_CFLAGS])],
[AC_MSG_WARN(HAL library not found)])
AC_ARG_ENABLE(hal,
[ --enable-hal Linux HAL services discovery (default enabled)])
if test "${enable_hal}" != "no"
then
PKG_CHECK_MODULES(HAL, hal >= 0.2.97,
[AC_DEFINE(HAVE_HAL, [], [Define if you have the HAL library])
VLC_ADD_PLUGINS([hal])
VLC_ADD_LDFLAGS([vlc hal],[$HAL_LIBS])
VLC_ADD_CFLAGS([vlc hal],[$HAL_CFLAGS])],
[AC_MSG_WARN(HAL library not found)])
fi
dnl Build the gtk_main plugins?
NEED_GTK_MAIN=no
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment